Index: code/branches/kicklib2/src/modules/designtools/DesignToolsPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/designtools/DesignToolsPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/designtools/DesignToolsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _DesignToolsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _DesignToolsExport  __attribute__ ((visibility("default")))
+#  define _DesignToolsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _DesignToolsExport
+#  define _DesignToolsPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/branches/kicklib2/src/modules/designtools/ScreenshotManager.cc	(revision 8283)
+++ code/branches/kicklib2/src/modules/designtools/ScreenshotManager.cc	(revision 8284)
@@ -46,4 +46,5 @@
 #include "core/GraphicsManager.h"
 #include "core/PathConfig.h"
+#include "core/Resource.h"
 #include "core/command/ConsoleCommand.h"
 #include "util/ScopedSingletonManager.h"
Index: code/branches/kicklib2/src/modules/notifications/NotificationsPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/notifications/NotificationsPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/notifications/NotificationsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _NotificationsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _NotificationsExport  __attribute__ ((visibility("default")))
+#  define _NotificationsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _NotificationsExport
+#  define _NotificationsPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/objects/ObjectsPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/objects/ObjectsPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/objects/ObjectsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _ObjectsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _ObjectsExport  __attribute__ ((visibility("default")))
+#  define _ObjectsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _ObjectsExport
+#  define _ObjectsPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/overlays/OverlaysPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/overlays/OverlaysPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/overlays/OverlaysPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _OverlaysPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _OverlaysExport  __attribute__ ((visibility("default")))
+#  define _OverlaysPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _OverlaysExport
+#  define _OverlaysPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/pickup/PickupPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/pickup/PickupPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/pickup/PickupPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _PickupPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _PickupExport  __attribute__ ((visibility("default")))
+#  define _PickupPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _PickupExport
+#  define _PickupPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/pong/PongPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/pong/PongPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/pong/PongPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _PongPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _PongExport  __attribute__ ((visibility("default")))
+#  define _PongPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _PongExport
+#  define _PongPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/branches/kicklib2/src/modules/questsystem/QuestEffect.cc	(revision 8283)
+++ code/branches/kicklib2/src/modules/questsystem/QuestEffect.cc	(revision 8284)
@@ -68,12 +68,12 @@
     /*static*/ bool QuestEffect::invokeEffects(PlayerInfo* player, std::list<QuestEffect*> & effects)
     {
-        bool check = true;
+        bool temp = true;
 
         COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
 
         for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
-            check = check && (*effect)->invoke(player);
+            temp = temp && (*effect)->invoke(player);
 
-        return check;
+        return temp;
     }
 
Index: code/branches/kicklib2/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- code/branches/kicklib2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8283)
+++ code/branches/kicklib2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8284)
@@ -143,6 +143,6 @@
         COUT(4) << "QuestEffectBeacon executed on player: " << player << " ." << std::endl;
 
-        bool check = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
-        if(check)
+        bool temp = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
+        if(temp)
         {
             this->decrementTimes(); // Decrement the number of times the beacon can be used.
Index: code/branches/kicklib2/src/modules/questsystem/QuestsystemPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/questsystem/QuestsystemPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/questsystem/QuestsystemPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _QuestsystemPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _QuestsystemExport  __attribute__ ((visibility("default")))
+#  define _QuestsystemPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _QuestsystemExport
+#  define _QuestsystemPrivate
 #endif
 
Index: code/branches/kicklib2/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/branches/kicklib2/src/modules/questsystem/effects/AddReward.cc	(revision 8283)
+++ code/branches/kicklib2/src/modules/questsystem/effects/AddReward.cc	(revision 8284)
@@ -105,11 +105,11 @@
         COUT(5) << "AddReward on player: " << player << " ." << std::endl;
 
-        bool check = true;
+        bool temp = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-            check = check && (*reward)->reward(player);
+            temp = temp && (*reward)->reward(player);
 
         COUT(4) << "Rewardable successfully added to player." << player << " ." << std::endl;
 
-        return check;
+        return temp;
     }
 
Index: code/branches/kicklib2/src/modules/weapons/WeaponsPrereqs.h
===================================================================
--- code/branches/kicklib2/src/modules/weapons/WeaponsPrereqs.h	(revision 8283)
+++ code/branches/kicklib2/src/modules/weapons/WeaponsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _WeaponsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _WeaponsExport  __attribute__ ((visibility("default")))
+#  define _WeaponsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _WeaponsExport
+#  define _WeaponsPrivate
 #endif
 
